package com.ruoyi.jjh.ent.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.ent.entity.JSmartReminders;


/**
 * 智能提醒（j_smart_reminders）表业务层
 * @author du
 * @since 2024/7/1 13:33
 */
public interface JSmartRemindersService extends IService<JSmartReminders> {
    /**
     * 分页查询所有数据
     *
     * @param page     分页对象
     * @param jSmartReminders 查询实体
     * @return 所有数据
     */
    Page<JSmartReminders> page(Page<JSmartReminders> page, JSmartReminders jSmartReminders);

    /**
     * 新增数据
     *
     * @param jSmartReminders 实体对象
     * @return 新增结果
     */
    int add(JSmartReminders jSmartReminders);
}

